import * as ts from 'typescript';
export interface ComponentDoc {
    displayName: string;
    description: string;
    props: Props;
}
export interface Props {
    [key: string]: PropItem;
}
export interface PropItem {
    required: boolean;
    type: PropItemType;
    description: string;
    defaultValue: any;
}
export interface PropItemType {
    name: string;
    value?: any;
}
/**
 * Parses a file with default TS options
 * @param filePath
 */
export declare function parse(filePath: string): ComponentDoc[];
/**
 * Constructs a parser for a specified tsconfig file.
 */
export declare function withConfig(tsconfigPath: string): {
    parse(filePath: string): ComponentDoc[];
};
/**
 * Constructs a parser for a specified set of TS compiler options.
 */
export declare function withCompilerOptions(compilerOptions: ts.CompilerOptions): {
    parse(filePath: string): ComponentDoc[];
};
